> For the complete documentation index, see [llms.txt](https://docs.oneweb.tech/oneweb/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.oneweb.tech/oneweb/reference/process-designer-reference/process-designer-component/custom-extensions/install-extension-in-application.md).

# Install Extension in application

To install the extension go to the Extensions menu ![](https://2015371994-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FMpDjHWFRUtZ5nJcSfVXd%2Fuploads%2F0Zz2aESePJZdzMyBPTxV%2F0?alt=media)in Process Designer. Click on the **Install Extension** menu under Extensions icon .

![](https://2015371994-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FMpDjHWFRUtZ5nJcSfVXd%2Fuploads%2F3s8pyaT5kotHYFAEUapo%2F1?alt=media)

On the Install Extension page, browse for the jar file you build from the workspace. Click on the **Get Class Name** button to retrieve the execution class name. Verify the other details retrieved too.

![](https://2015371994-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FMpDjHWFRUtZ5nJcSfVXd%2Fuploads%2FwGEDXyI8qOv2hXNzSszK%2F2?alt=media)

User can preview the input and output Business Object also by clicking on the **View** button. User can see the look and feel of the node also under the **Node Extension** Heading

![](https://2015371994-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FMpDjHWFRUtZ5nJcSfVXd%2Fuploads%2FCybbOFphJ95xFCwi0Pe6%2F3?alt=media)

Once verified everything, click on the **Install Extension** button to install the extension. User will get confirmation message to save the installation is successful.

![](https://2015371994-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FMpDjHWFRUtZ5nJcSfVXd%2Fuploads%2FOuJHIbRiPlesdDva55IY%2F4?alt=media)<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.oneweb.tech/oneweb/reference/process-designer-reference/process-designer-component/custom-extensions/install-extension-in-application.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
